Subject: re-ignoring a force added file

From: Raza Ali <[email-masked]>
Date: Tue, 13 Aug 2013 19:31:21 +0100

Dear Git Mailing List,

I have force added a file we usually like to ignore (but keep in the 
repository). That was a change a while ago, and cannot be undone without 
serious pain. I would like to re-ignore the file though, as we dont want 
to track changes to it. Some of the options I came across are not useful 
for me. For example

git rm --cached FILE // removes the file from the remote repository if I 
push, not desirable
git update-index --assume-unchanged //Will ignore changes to the file 
locally, but someone else clones and the file is tracked for them.

What we would like is to go back to the old state of affairs: the file 
was in the working directory when someone cloned from the remote 
repository, but changes to the file werent tracked or committed.

Any help would be appreciated.

regards

Raza